package com.ruoyi.dxp.utils;

import com.alibaba.excel.EasyExcelFactory;
import com.alibaba.excel.ExcelReader;
import com.alibaba.excel.event.SyncReadListener;
import com.alibaba.fastjson2.JSONObject;

import java.io.InputStream;
import java.util.List;

public class EasyExcelUtils {
    public static List<Object> writeWithoutHead(InputStream inputStream) {
        SyncReadListener listener = new SyncReadListener();
        ExcelReader excelReader = EasyExcelFactory.read(inputStream, null, listener).headRowNumber(0).build();
        excelReader.readAll();
        List<Object> list = listener.getList();
        excelReader.finish();
        return list;
    }
}
